SparseMatrix_MatrixVector.cpp File Reference
`#include "SparseMatrix.h"`

## Namespaces

| paso

## Functions

void | paso::SparseMatrix_MatrixVector_CSR_OFFSET0_stripe (double alpha, dim_t nRows, dim_t row_block_size, dim_t col_block_size, const index_t *ptr, const index_t *index, const double *val, const double *in, double beta, double *out)
void | paso::SparseMatrix_MatrixVector_CSC_OFFSET0 (const double alpha, const_SparseMatrix_ptr A, const double *in, const double beta, double *out)
void | paso::SparseMatrix_MatrixVector_CSC_OFFSET1 (const double alpha, const_SparseMatrix_ptr A, const double *in, const double beta, double *out)
void | paso::SparseMatrix_MatrixVector_CSR_OFFSET1 (const double alpha, const_SparseMatrix_ptr A, const double *in, const double beta, double *out)
void | paso::SparseMatrix_MatrixVector_CSR_OFFSET0 (const double alpha, const_SparseMatrix_ptr A, const double *in, const double beta, double *out)
void | paso::SparseMatrix_MatrixVector_CSR_OFFSET0_DIAG (const double alpha, const_SparseMatrix_ptr A, const double *in, const double beta, double *out)